cURL
curl --request GET \
--url https://api.bestflow.xyz/swap/{swapId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bestflow.xyz/swap/{swapId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bestflow.xyz/swap/{swapId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"exchange": "swapter",
"status": "Waiting",
"from": "<string>",
"to": "<string>",
"fromNetwork": "<string>",
"toNetwork": "<string>",
"sendAmount": 123,
"estReceive": 123,
"sendAddress": "<string>",
"sendMemo": "<string>",
"receiveAddress": "<string>",
"receiveMemo": "<string>",
"hashIn": "<string>",
"hashOut": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}{
"error": "UNAUTHORIZED",
"message": "Invalid API key"
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}{
"error": "VALIDATION_ERROR",
"message": "<string>"
}{
"error": "SERVICE_UNAVAILABLE",
"message": "Auth service unavailable"
}Endpoints
Get Status
Returns the status and details of a specific swap by ID
GET
/
swap
/
{swapId}
cURL
Authorizations
Optional Bearer authentication using an API key provided as a Bearer token. Required for unlimited requests and revenue sharing.
Path Parameters
Unique identifier for the swap
Response
Swap status retrieved successfully
Unique identifier for the swap
Exchange identifier
Available options:
swapter, etzswap, pegasusswap Current swap status
Available options:
Waiting, Confirmation, Confirmed, Exchanging, Sending, Success, Frozen, Refunded, Overdue, Suspended, Error Expected deposit amount
Estimated amount to be received
Deposit address
Deposit memo/tag; null when absent
Destination address
Destination memo/tag; null when absent
Inbound transaction hash
Outbound transaction hash
Swap creation timestamp in ISO 8601 format
